/**
 **
 ** INTERFACE SECTION
 **
 **/

#import		<objc/Object.h>

#define HIPS_PFBYTE 0
#define HIPS_PFSHORT 1
#define HIPS_PFINT 2
#define HIPS_PFFLOAT 3
#define HIPS_PFCOMPLEX 4

@interface HipsImage: Object
{
    char *orig_name;	/* An indication of the originator of this sequence. */
    char *seq_name;	/* The sequence name. */
    int num_frame;	/* The number of frames in this sequence. */
    char *orig_date;	/* The date the sequence was originated. */
    int rows;		/* The number of rows in each image, the height. */
    int cols;		/* The number of columns in each image, the width. */
    int bits_per_pixel;	/* The number of significant bits per pixel. */
    int bit_packing;	/* Nonzero if the bits were packed such as to
			   eliminate any unused bits resulting from a
			   bits_per_pixel value which was not an even
			   multiple of eight. */
    int pixel_format;	/* An indication of the format of each pixel. */
    char *seq_history;	/* A description of the sequence of transformations
			   leading up to the current image. */
    char *seq_desc;	/* A free form description of the contents of the
			   sequence. */
    char *data;		/* The image data */
}

+ getimagefromfile: (FILE *)fp;
- writehipsheader: (FILE *) fp;
- errormsg: (char *) msg;
- free;
- (char *) getorig_name;
- (char *) getseq_name;
- (int) getnum_frame;
- (char *) getorig_date;
- (int) getrows;
- (int) getcols;
- (int) getbits_per_pixel;
- (int) getbit_packing;
- (int) getpixel_format;
- (char *) getseq_history;
- (char *) getseq_desc;
- (char *) getdata;

@end



